package org.eclipse.mylar.zest.layouts.algorithms;

import java.awt.Dimension;

import org.eclipse.mylar.zest.layouts.dataStructures.InternalNode;
import org.eclipse.mylar.zest.layouts.dataStructures.InternalRelationship;

import edu.uci.ics.jung.visualization.contrib.CircleLayout;

public class JungCircleLayoutAlgorithom extends AbstractJungLayout {

	

	public JungCircleLayoutAlgorithom(int styles) {
		super(styles);
	}

	protected void applyLayoutInternal(InternalNode[] entitiesToLayout,
			InternalRelationship[] relationshipsToConsider, double boundsX,
			double boundsY, double boundsWidth, double boundsHeight) {
		layout = new CircleLayout(graph);
		layout.initialize(new Dimension((int)boundsWidth, (int)boundsHeight));
	}

}
